#!/usr/bin/env sh

if [ "$#" -lt 1 ]; then
  echo "Usage: $0 {$(ls -m /sys/class/net)}"
  exit 1
fi

# Ensure multicast is enabled on the interface
sudo ip maddr add 224.0.0.0 dev "$1"

# Add the multicast route to the interface
sudo ip route add 224.0.0.0/4 dev "$1"
